Subject: Re: bug#57878: Minimal reproducible setup

From: Liliana Marie Prikler <[email-masked]>
Date: Tue, 25 Oct 2022 20:31:58 +0200

Am Dienstag, dem 25.10.2022 um 19:23 +0300 schrieb Max Brieiev:
> Liliana Marie Prikler <[email-masked]> writes:
> 
> > Ehm, yes... best to keep this open until I can bump to a version
> > that's
> > approved and solves the problem.
> 
> Do the recent changes suppose to fix the issue?
> 
> Today I did:
> 
>     guix pull
>     sudo guix system reconfigure /etc/system-config.scm
>     guix package -u emacs-next
> 
> After starting Emacs I see lots of errors.
> 
> It is not mere compilation warnings. They render Emacs unusable,
> because trying to run a command gives me "function is void" errors.
> 
> So I switched back to previous generation again.
While I can't really reproduce the one you showed me in a pure
environment, I do see

Warning (comp): /gnu/store/hjciw32mj05yz1m6r6nzwdi12waz81ni-emacs-next-
29.0.50-2.4aeb80c/share/emacs/29.0.50/lisp/emacs-lisp/cl-
loaddefs.el.gz: Error: error Uncompression program `sh' not found

which is equally concerning.